# $Revision: 1.38 $, $Date: 2004/05/06 18:21:03 $
#
# Conditional build:
%bcond_without  tests   # do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Socket6
%define		pnam	Socket6
Summary:	Socket6 Perl module
Summary(cs):	Modul Socket6 pro Perl
Summary(da):	Perlmodul Socket6
Summary(de):	Socket6 Perl Modul
Summary(es):	Mdulo de Perl Socket6
Summary(fr):	Module Perl Socket6
Summary(it):	Modulo di Perl Socket6
Summary(ja):	Socket6 Perl ⥸塼
Summary(ko):	Socket6  
Summary(nb):	Perlmodul Socket6
Summary(pl):	Modu Perla Socket6
Summary(pt):	Mdulo de Perl Socket6
Summary(pt_BR):	Mdulo Perl Socket6
Summary(ru):	  Perl Socket6
Summary(sv):	Socket6 Perlmodul
Summary(uk):	  Perl Socket6
Summary(zh_CN):	Socket6 Perl ģ
Name:		perl-Socket6
Version:	0.17
Release:	1
License:	BSD-like
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
# Source0-md5:	2ebf9659bedabfd9a128889730455c56
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Socket6 is a module that implements a IPv6 API for Perl programs.

%description -l pl
Socket6 jest moduem umoliwiajcym dostp do usug IPv6 z poziomu
programw Perla.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
pod2man --section=3pm Socket6.pm >Socket6.3pm

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man3

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install Socket6.3pm $RPM_BUILD_ROOT%{_mandir}/man3

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorarch}/%{pdir}.pm
%dir %{perl_vendorarch}/auto/%{pdir}
%{perl_vendorarch}/auto/%{pdir}/%{pdir}.bs
%attr(755,root,root) %{perl_vendorarch}/auto/%{pdir}/%{pdir}.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Socket6.spec,v $
Revision 1.38  2004/05/06 18:21:03  ankry
- fixed perl-devel BR

Revision 1.37  2004/05/05 13:47:08  ankry
- cosmetics

Revision 1.36  2004/05/02 08:35:25  ankry
- tests added, license fixed, cosmetics

Revision 1.35  2004/03/28 11:00:16  adamg
- updated to 0.17

Revision 1.34  2004/03/06 21:44:10  adamg
- updated to 0.16

Revision 1.33  2004/02/18 16:27:02  qboosh
- s/no/nb/ in Summary langs

Revision 1.32  2004/01/25 00:00:37  arekm
- autoupdated to 0.14

Revision 1.31  2003/11/30 20:01:28  adamg
- updated to 0.12

Revision 1.30  2003/09/09 10:24:48  ankry
- spaces -> tab

Revision 1.29  2003/08/18 08:09:12  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.28  2003/05/28 13:01:01  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:24:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/24 13:50:19  radek
- removed BR:perl-tools-pod, it's implied by perl-devel

Revision 1.25  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.24  2003/03/17 18:29:57  misiek
BR: perl-tools-pod

Revision 1.23  2003/03/01 20:46:26  radek
- should be ready for perl-5.8.0; release++

Revision 1.22  2003/02/25 00:41:47  radek
- use the __perl macro

Revision 1.21  2003/02/18 15:38:10  ankry
- massive attack: change CPAN URLs

Revision 1.20  2002/07/20 17:35:13  kloczek
- release 4.

Revision 1.19  2002/07/19 00:09:43  ankry
- fixed pod2man option

Revision 1.18  2002/07/18 13:50:23  ankry
- translations, cleaning
- new %%doc
- added %%%{perl_sitearch}/auto/Socket6 dir
- extracted and added man page
- release 3

Revision 1.17  2002/05/11 14:28:12  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/03/03 21:24:59  marcus
- rel.2.

Revision 1.15  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/10 15:33:55  depesz
adapterized

Revision 1.13  2002/01/18 02:14:30  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/09/20 11:38:42  mis
- autoupdated to 0.11

Revision 1.11  2001/04/17 12:15:22  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/03/29 07:55:40  mis
- autoupdated to 0.10

Revision 1.8  2001/03/24 15:45:50  mis
- autoupdated to 0.09

Revision 1.7  2001/02/21 05:12:06  kloczek
- release 2.

Revision 1.6  2001/02/21 05:03:25  agaran
rpm check for %%files even in %%changelog.. silly rpm..

Revision 1.5  2001/02/21 04:59:45  agaran
%%files fixed (somebody forgot to add .so files..)

Revision 1.4  2001/02/19 14:53:41  mis
- updated (by autoup) to 0.08

Revision 1.3  2001/01/23 17:00:07  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.2  2000/08/31 15:33:47  kloczek
- adapterized.

Revision 1.1  2000/08/31 12:29:46  wiget
initial version
